%define name fonts-type1-mathml-cm
%define version 1.0
%define release 4mdk
%define fontdir /usr/X11R6/lib/X11/xserver/C/print/fonts/MathML/Type1/cm

Name:          %{name}
Version:       %{version}
Release:       %{release}
License:       freely distributable
Summary:       PostScript Type1 MathML fonts (Computer Modern)
Group:         System/Fonts/Type1
Source0:       ftp://ftp.dante.de/pub/tex/fonts/cm/ps-type1/bluesky/cmps-unix.tar.bz2
URL:           http://www.ams.org/tex/type1-fonts.html
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}
%if %mdkversion > 1020
Requires:      xorg-x11-Xprt
Requires:      xorg-x11-xfs
%else
Requires:      xprint
Requires:      XFree86-xfs
%endif
Requires:      chkfontpath >= 1.4.1, font-tools >= 0.1-5mdk
Requires:      fontconfig
BuildRequires: font-tools >= 0.1-5mdk
BuildRequires: fontconfig
Obsoletes:     fonts-mathml-cm-type1
Provides:      fonts-mathml-cm-type1
BuildArch:     noarch
PreReq:        /usr/sbin/chkfontpath

%description
This package contains a subset of PostScript fonts of the Knuth's Computer
Modern family, to be used with Xprint.

%prep
%setup -n cmpsfont

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{fontdir}
(cd pfb
install -m 644 cmr10.pfb cmmi10.pfb cmex10.pfb cmsy10.pfb \
	$RPM_BUILD_ROOT%{fontdir}/
)

(cd afm
install -m 644 cmr10.afm cmmi10.afm cmex10.afm cmsy10.afm \
	$RPM_BUILD_ROOT%{fontdir}/
)

cat <<EOF > $RPM_BUILD_ROOT%{fontdir}/fonts.dir
4
cmex10.pfb -bsr-cmex10-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
cmmi10.pfb -bsr-cmmi10-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
cmr10.pfb -bsr-cmr10-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
cmsy10.pfb -bsr-cmsy10-medium-r-normal--0-0-0-0-p-0-adobe-fontspecific
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%dir %{fontdir}
%doc README
%(attr,644,root,root) %{fontdir}/*.pfb
%(attr,644,root,root) %{fontdir}/*.afm
%(attr,644,root,root) %{fontdir}/fonts.dir

%changelog
* Wed Aug 30 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-4mdk
- Rebuilt.

* Mon Sep 08 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-3mdk
- Changed fontpath from /usr/X11R6/lib/X11/fonts/MathML/Type1/cm to
  /usr/X11R6/lib/X11/xserver/C/print/fonts/MathML/Type1/cm, and don't
  add the fonts to the system fontpath, so that Type1 fonts are used only
  by xprint (as the same version of the fonts, but in TrueType are provided
  also in package fonts-ttf-latex).

* Mon Aug 25 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-2mdk
- cosmetic changes to %post scripts.
- Removed XftCache (Xft1) support.

* Fri Feb 21 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-1mdk
- Build fontconfig compliant.
- Package renamed to fonts-type1-...

* Sun Sep 08 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-2mdk
- added missed .afm files.

* Mon Jul 29 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-1mdk
- initial release.
